Subject: bug#77012: Documentation problem: odd characters in ASCII text format manual

From: Paul Eggert <[email-masked]>
Date: Fri, 14 Mar 2025 10:38:30 -0700

On 2025-03-14 02:22, Giacomo De Bello wrote:
> Greetings, the manual file in ASCII text format is filled with odd characters, and maybe this is a character conversion problem during the file generation.
> In example, you can see the problem in the third line of the plain text manual online
> 
> https://www.gnu.org/software/grep/manual/grep.txt

Unfortunately the Savannah web server responds with a header that lacks 
the line "Content-Type: text/plain; charset=utf-8", needed because this 
file uses UTF-8 encoding, not ASCII.

I attempted to fix the server bug by adding an .htaccess file like this:

   <Files ".txt">
     AddDefaultCharset utf-8
     ForceType text/plain
   </Files>

at grep's root, but no dice.

Although possibly I messed up the CVS commit (I never remember how to 
use CVS any more), Savannah is reeeeallly slow right now and I'm getting 
a "502 Bad Gateway" when I try to visit, for example, 
<http://web.cvs.savannah.gnu.org/viewvc/grep/> to try to debug this. So 
I'll cc this email to savannah-hackers to see whether they can fix the 
UTF-8 issue for me.

Thanks for the reporting the problem.